
var rippleStatus = 0;
var vidIsPlaying = false;
var playlistStatus = 1;
var eqTop = 0, eqLeft = 0;
var videoWinOpen = false, theviddrawerisOpen=false;
var visOn = true;
var eqStatus = infoStatus = plStatus = false;


function decVol() {
	volumeSet = player.settings.volume;

	if (volumeSet > 7) {
		vol_plus.enabled=true;
		vol_minus.enabled=true;
		volumeSet-=7;
	} else {
		vol_plus.enabled=true;
		vol_minus.enabled=false;
		volumeSet=0;
	}

	player.settings.volume = volumeSet;
	player.settings.mute = false;
	vol_mute.down=false;
}

function incVol() {
	volumeSet = player.settings.volume;

	if (volumeSet < 93) {
		vol_plus.enabled=true;
		vol_minus.enabled=true;
		volumeSet+=7;
	} else {
		vol_plus.enabled=false;
		vol_minus.enabled=true;
		volumeSet=100;
	}

	player.settings.volume = volumeSet;
	player.settings.mute = false;
	vol_mute.down=false;
}

function mute() {
player.settings.mute = !player.settings.mute;
}
function chkDecVol() {
return !(player.settings.volume == 0);
}
function chkIncVol() {
return !(player.settings.volume == 100);
}

function toggleRipple() {
	rippleStatus++;

	switch (rippleStatus) {
		case 1:
			ripple_button.visible	= true;
			vis.visible		= false;
			visbuttons.visible	= false;
		break;


		case 2:
			ripple_button.visible	= false;
			vis.visible		= true;
			visbuttons.visible	= true;
		break;


		case 3:
			ripple_button.visible	= false;
			vis.visible		= false;
			visbuttons.visible	= false;
			rippleStatus		= 0;
		break;
	}
}

function init() {
	theme.closeView('module_video');

	loadPrefs();

	volume_slider.value = player.settings.volume;

	updateMetadata();

	vidIsPlaying = (player.OpenState == osMediaOpen) && (player.currentMedia.ImageSourceWidth>0);
	vidIsPlaying ? startVideo() : endVideo();

	if (!player.controls.isAvailable("Stop")) {
		endVideo();
	}

	playlist_frame.setColumnResizeMode( 1, "AutoSizeData" );
	playlist_frame.setColumnResizeMode( 0, "Stretches" );
}

function shutdown() {
	savePrefs();
}

function onPlayStateChange() {
	vidIsPlaying = (player.OpenState == osMediaOpen) && (player.currentMedia.ImageSourceWidth>0);

	if (!player.controls.isAvailable("Stop")) {
		endVideo();
	}

	vidIsPlaying ? startVideo() : endVideo();

	updateMetadata();
	detVis();
}

function checkVid() {
	return (player.OpenState == osMediaOpen) && (player.currentMedia.ImageSourceWidth>0);
}

function detVis(override) {
	if (visOn && (player.controls.isAvailable("Stop") || override)) {
		viseffects.visible=true;
	} else {
		viseffects.visible=false;
	}
}

function toggleControls() {
	if(theviddrawerisOpen){
		vidcontrols.moveTo(view.width-316,view.height-96,200);
		theviddrawerisOpen = false;
	} else {
		vidcontrols.moveTo(view.width-316,view.height-62,200);
		theviddrawerisOpen = true;
	}

	drawerbutton.down = theviddrawerisOpen;
}



// shamelessly 'borrowed' from the winamp converter .js and xml
function OnLoadVideo()
{
    SnapToVideo();
	loadVideoPrefs();
}
// makes sure that the video stretches along with your resizing == this could be
// done within the <video/> tags...
function AllowResizeVideo()
{
    mediacenter.videoStretchToFit=true;
    mediacenter.videoShrinkToFit=true; 
    return;
}
// zooms your video window onClick
function ZoomVideo()
{
    g_fUserHasSized = true;

    mediacenter.videoStretchToFit = false;
    mediacenter.videoShrinkToFit = false;

    if( mediacenter.videoZoom < 51 )
    {
        mediacenter.videoZoom = 100;
    }
    else if( mediacenter.videoZoom < 101 )
    {
        mediacenter.videoZoom = 200;
    }
    else
    {
        mediacenter.videoZoom = 50;
    }

    SnapToVideo();
}
// resizes the window to the video width & height
function SnapToVideo()
{
    if( (!g_fUserHasSized && mediacenter.videoStretchToFit) || !mediacenter.videoStretchToFit)
    {
        var zoom = mediacenter.videoStretchToFit ? 100 : mediacenter.videoZoom;
        var x = (player.currentMedia.imageSourceWidth * (zoom / 100.0));
        var y = (player.currentMedia.imageSourceHeight * (zoom / 100.0));

        g_fExpectingSizeChange = true;
        view.width = x + 16;
        view.height = y + 113;
        g_fExpectingSizeChange = false;
    }
    else
    {
        view.height= player.currentMedia.imageSourceHeight + 113;
        view.width= player.currentMedia.imageSourceWidth + 16;
    }

    vidinfo.value = "Zoom: " + mediacenter.videoZoom + "%";
}
// stops and closes your video 
function OnCloseVideo()
{
    module_video.close();
	saveVideoPrefs();
}
// end caption



function startVideo() {
	vidIsPlaying = true;
	visOn = false;
	detVis();
	ringanim.visible = false;
	theme.openview('module_video');
}

function endVideo() {
	vidIsPlaying = false;
}


function launchInfo() {
		if (infoStatus) {
			infoStatus = false;
			if (theme.closeview('module_info')) {
				launchInfo();
			}
		} else {
			infoStatus = true;
			theme.openview('module_info');
		}
}

function launchPlaylist() {
		if (plStatus) {
			theme.closeview('module_pl');
			plStatus = false;
		} else {
			theme.openview('module_pl');
			plStatus = true;
		}
}

function showEq() {
	if (!eqStatus) {
		eq.moveTo(250,310,200);
	} else {
		eq.moveTo(250,80,200);
	}
}

function chkEq() {
	eqStatus = !eqStatus;
	eq_sub.visible = eqStatus;
}

function infoModuleInit() {
	showPage(1);
}

function updateMetadata() {
	metadata.value = player.currentmedia.getiteminfo("#author");

	if (metadata.value == "") {
		metadata.value = player.currentmedia.getiteminfo("author");
	}

	if (metadata.value != "") {
		metadata.value += " - ";
	}

	metadata.value += player.currentmedia.name;
	metadata.scrolling = (metadata.textWidth>metadata.width);
	metadata.value += (metadata.scrolling) ? "          " : "";
/*
	bitrate.value = player.currentmedia.getiteminfo("#bitrate").substring(0,player.currentmedia.getiteminfo("#bitrate").length-3);

	if (bitrate.value == "") {
		bitrate.value = player.currentmedia.getiteminfo("bitrate").substring(0,player.currentmedia.getiteminfo("bitrate").length-3);
	}

	bitrate.value += (bitrate.value) ? "kbps" : "0kbps";
*/
}

function repeatClick() {
	if (player.Settings.getMode('loop')) {
		player.Settings.setMode('loop','false');
	} else {
		player.Settings.setMode('loop','true');
	}
}

function shuffleClick() {
	if (player.Settings.getMode('shuffle')) {
		player.Settings.setMode('shuffle','false');
	} else {
		player.Settings.setMode('shuffle','true');
	}
}

function loadPrefs() {
	var _eqStatus	= theme.loadPreference('eqStatus');
	var _plStatus	= theme.loadPreference('plStatus');
	var _infoStatus	= theme.loadPreference('infoStatus');

	if (_eqStatus != '--') {
		eqStatus = (_eqStatus.toLowerCase() == 'true') ? false : true;
	} else {
		eqStatus = true;
	}

	if (_plStatus != '--') {
		plStatus = (_plStatus.toLowerCase() == 'true') ? false : true;
	} else {
		plStatus = true;
	}

	if (_infoStatus != '--') {
		infoStatus = (_infoStatus.toLowerCase() == 'true') ? false : true;
	} else {
		infoStatus = true;
	}

	showEq();
	launchPlaylist();
	launchInfo();

	viseffects.currentEffectType = mediacenter.effectType;
	viseffects.currentPreset = mediacenter.effectPreset;
}

function savePrefs() {
	theme.savePreference('eqStatus',eqStatus);
	theme.savePreference('plStatus',plStatus);
	theme.savePreference('infoStatus',infoStatus);

	mediacenter.effectType = viseffects.currentEffectType;
	mediacenter.effectPreset = viseffects.currentPreset;
}

function loadVideoPrefs() {
	var _videoStatus = theme.loadPreference('videoStatus');

	if (_videoStatus != '--') {
		theviddrawerisOpen = (_videoStatus.toLowerCase() == 'true') ? false : true;
	} else {
		theviddrawerisOpen = true;
	}

	toggleControls();
}

function saveVideoPrefs() {
	theme.savePreference('videoStatus',theviddrawerisOpen);
}


function msmsgs() {
 alert ("   ! ");

}